/**
 * 回頭車頁面樣式
 *
 * @package mytheme
 */

.return-page {
  color: #53bf6f;
}

/* intercity fee */

.intercity-section {
  padding-bottom: 76px;
}
.intercity-wrapper {
  width: 100%;
  position: relative;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-wrap: wrap;
  align-content: flex-start;
  gap: 44px 78px;
  text-align: left;
  font-size: 20px;
  color: #000;
  font-family: Inter;
  margin: 40px auto 44px;
}
.intercity-box {
  width: 336px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 24px;
}
.intercity-head {
  width: 192px;
  height: 50px;
  border-radius: 60px;
  background-color: #fff;
  border: 2px solid #53bf6f;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px;
}
.intercity-title {
  position: relative;
  font-size: 1rem !important;
  line-height: 40px;
  font-weight: 500;
  flex-shrink: 0;
}
.intercity-text {
  position: relative;
}

/* pricing */

.pricing-section {
  padding: 73px 0 42px;
  background-image: url(../../images/backhaul_fee_bg.webp);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.pricing-wrap-title {
  color: #fff;
  font-size: 24px;
  font-weight: 500;
  width: 100%;
  max-width: 169px;
  height: 40px;
  align-content: center;
  text-align: center;
  background-color: #53bf6f;
  border-radius: 60px;
  margin-top: 40px;
}
.pricing-wrap {
  position: relative;
  display: flex;
  align-items: center;
  gap: 128px;
  text-align: center;
  font-size: 24px;
  color: #000;
  font-family: Inter;
  margin: 24px auto;
}
.pricing-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
}
.pricing-title {
  width: 245px;
  height: 245px;
  flex-shrink: 0;
  line-height: 40px;
  font-weight: 500;
  border: 31px solid #000;
  box-shadow: 0px 4px 14px #fff;
  border-radius: 50%;
  align-content: center;
  text-align: center;
}
.green-dec-title {
  border: 31px solid #53bf6f;
}

.orange-dec-title {
  border: 31px solid #ffac27;
}

.pricing-text {
  align-self: stretch;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.pricing-highlight {
  position: relative;
  box-shadow: 0px 4px 19.2px rgba(0, 0, 0, 0.25);
  border-radius: 100px;
  background-color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 3px 28px;
  box-sizing: border-box;
  gap: 10px;
  text-align: center;
  font-family: Inter;
  margin-bottom: 44px;
}

.warm-highlight-text {
  color: #b10000;
  font-weight: 600;
}
.warm-icon {
  height: 26px;
  width: 28px;
  flex-shrink: 0;
}
.warm-text {
  position: relative;
  line-height: 40px;
  flex-shrink: 0;
}

/* backhaul section */

.backhaul-section {
  padding: 144px 0 158px;
}
.backhaul-wrap {
  width: 100%;
  max-width: 1332px;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-items: center;
  gap: 24.4px 132px;
  text-align: center;
  color: #fff;
  font-family: Inter;
  margin: 30px auto 51.2px;
}
.backhaul-box {
  max-width: 600px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 24px;
}

.backhaul-box:nth-child(1) {
  order: 1;
}

.backhaul-box:nth-child(2) {
  order: 3;
}

.backhaul-box:nth-child(3) {
  order: 5;
}

.backhaul-box:nth-child(4) {
  order: 7;
}

.backhaul-box:nth-child(5) {
  order: 2;
}

.backhaul-box:nth-child(6) {
  order: 4;
}

.backhaul-box:nth-child(7) {
  order: 6;
}

.back-head {
  align-self: stretch;
  height: 44px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}
.backhaul-title {
  flex: 1;
  position: relative;
  line-height: 121.13%;
  font-weight: 500;
}
.backhaul-text {
  align-self: stretch;
  flex: 1;
  position: relative;
  line-height: 121.13%;
  color: #000;
  display: flex;
  justify-content: center;
}

.backhaul-page-des {
  margin-bottom: 31px;
  max-width: 812px;
}

@media (max-width: 480px) {
  .intercity-section {
    padding-bottom: 32px;
  }
  .intercity-wrapper {
    margin: 20px auto;
    gap: 28px;
  }
  .intercity-head {
    width: 100px;
    height: 28px;
  }

  /* pricing */
  .pricing-section {
    padding: 32px 0 36px;
    background-image: url(../../images/backhaul_fee_bg_rwd.webp);
    background-size: cover;
  }

  .pricing-wrap-title {
    margin-top: 16px;
    max-width: 100px;
    font-size: 1rem !important;
    height: 24px;
  }

  .pricing-wrap {
    flex-direction: column;
    gap: 16px;
    margin: 12px auto 16px;
  }
  .pricing-title {
    width: 112px;
    height: 112px;
    font-size: 16px;
    line-height: normal;
  }
  .green-dec-title {
    border: 13px solid #53bf6f;
  }
  .orange-dec-title {
    border: 13px solid #ffac27;
  }

  .pricing-highlight {
    margin-bottom: 16px;
    padding: 6px 21px;
  }

  .warm-highlight-text {
    font-weight: 500;
  }
  .warm-icon {
    width: 18px;
    height: auto;
  }

  /* backhaul */
  .backhaul-section {
    padding: 28px 0 52px;
  }
  .backhaul-wrap {
    margin: 20px auto 27px;
    gap: 28px 12px;
    justify-content: center;
  }
  .backhaul-box {
    width: 155px;
    gap: 12px;
  }

  .backhaul-box:nth-child(1) {
    order: 1;
  }

  .backhaul-box:nth-child(2) {
    order: 2;
  }

  .backhaul-box:nth-child(3) {
    order: 3;
  }

  .backhaul-box:nth-child(4) {
    order: 4;
  }

  .backhaul-box:nth-child(5) {
    order: 5;
  }

  .backhaul-box:nth-child(6) {
    order: 6;
  }

  .backhaul-box:nth-child(7) {
    order: 7;
  }

  .back-head {
    height: 28px;
  }

  .backhaul-text {
    white-space: nowrap;
  }
  .backhaul-page-des {
    margin-bottom: 20px;
    text-align: center;
    font-size: 10px !important;
  }
  .backhaul-section .page-btn-text {
    font-size: 10px !important;
  }
}
